Bug 592963 - Rotated text should not be selectable in current evince
Summary: Rotated text should not be selectable in current evince
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evince
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Marek Kašík
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-17 13:45 UTC by Marek Kašík
Modified: 2010-07-02 19:04 UTC (History)
2 users (show)

Fixed In Version: evince-2.28.2-11.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-02 19:04:41 UTC
Target Upstream Version:


Attachments (Terms of Use)
a small patch to disable selection of text when document is rotated (881 bytes, patch)
2010-05-17 14:53 UTC, Marek Kašík
no flags Details | Diff

Description Marek Kašík 2010-05-17 13:45:13 UTC
Description of problem:
In bug #591095 is described that user can select text in rotated document. This should not be possible with current evince. It is not tested whether the document is rotated when double-clicking in it.
It shouldn't also show cursor for text selection on rotated documents.


Version-Release number of selected component (if applicable):
evince-2.28.2-10.el6


How reproducible:
Always


Steps to Reproduce:
1. Open a PDF document in evince
2. Rotate the document (e.g. by Ctrl+Left)
3. Double click on a position where was a text before rotation (where text-selection cursor occurs)


Actual results:
Text is highlighted on non-rotated position


Expected results:
The text shouldn't be selectable and the cursor shouldn't change.


Additional info:
see image attached in https://bugzilla.redhat.com/show_bug.cgi?id=591095 (https://bugzilla.redhat.com/attachment.cgi?id=413129)

Comment 1 RHEL Program Management 2010-05-17 14:06:05 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Marek Kašík 2010-05-17 14:53:20 UTC
Created attachment 414570 [details]
a small patch to disable selection of text when document is rotated

Hi,

this patch disables selection of text when loaded document is rotated. It also disables showing of the text-selection cursor when the document is rotated.

Marek

Comment 4 Vladimir Benes 2010-06-09 13:18:05 UTC
text cannot be selected anymore while document is rotated .. moving to VERIFIED

Comment 5 releng-rhel@redhat.com 2010-07-02 19:04:41 UTC
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.